﻿
/*	Copyright Christophe Bertrand.
		This file is available under this license: Ms-PL. See the file License.html in the archive. You will find a copy here: http://www.opensource.org/licenses/ms-pl.html
 */

using System.Threading;

namespace AsyncListBox
{
	public class OrdinaryAsyncListItemWithPriorityBinding
	{
		// This item class contains two texts: the first one has different values, depending on their speed, the second one is always fast.

		// ------------ (async) Text #1 : --------------

		public string FastText1
		{
			get { return "Fast text #1"; }
		}

		public string SlowerText1
		{
			get
			{
				// This simulates a lengthy time before the
				// data being bound to is actualy available.
				Thread.Sleep(3000);
				return "Slower text #1";
			}
		}

		public string SlowestText1
		{
			get
			{
				// This simulates a lengthy time before the
				// data being bound to is actualy available.
				Thread.Sleep(5000);
				return "SloweST text #1";
			}
		}

		// ------------ (quick) Text #2 : --------------

		public string Text2
		{
			get { return "Ordinary fast text #2"; }
		}

	}
}
