﻿// From http://msdn.microsoft.com/en-us/library/system.windows.data.prioritybinding.aspx

using System.Threading;

namespace PriorityObjectCodeComparison
{
	public class PriorityBindingAsyncDataSource
	{
		private string _fastDP;
		private string _slowerDP;
		private string _slowestDP;

		public PriorityBindingAsyncDataSource()
		{
		}

		public string FastDP
		{
			get { return _fastDP; }
			set { _fastDP = value; }
		}

		public string SlowerDP
		{
			get
			{
				// This simulates a lengthy time before the
				// data being bound to is actualy available.
				Thread.Sleep(3000);
				return _slowerDP;
			}
			set { _slowerDP = value; }
		}

		public string SlowestDP
		{
			get
			{
				// This simulates a lengthy time before the
				// data being bound to is actualy available.
				Thread.Sleep(5000);
				return _slowestDP;
			}
			set { _slowestDP = value; }
		}
	}
}
